// Copyright 2000-2023 JetBrains s.r.o. and contributors. Use of this source code is governed by the Apache 2.0 license.
package com.intellij.devkit.runtimeModuleRepository.jps.impl

import org.jetbrains.annotations.Nls
import org.jetbrains.annotations.PropertyKey
import org.jetbrains.jps.api.JpsDynamicBundle

object DevkitRuntimeModuleRepositoryJpsBundle {
  private const val BUNDLE_FQN = "messages.DevkitRuntimeModuleRepositoryJpsBundle"
  private val BUNDLE = JpsDynamicBundle(DevkitRuntimeModuleRepositoryJpsBundle::class.java, BUNDLE_FQN)
  
  fun message(key: @PropertyKey(resourceBundle = BUNDLE_FQN) String, vararg params: Any): @Nls String {
    return BUNDLE.getMessage(key, *params)
  }
}
